# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
ALSA_CFLAGS = @ALSA_CFLAGS@
ALSA_LIBS = @ALSA_LIBS@
CC = @CC@
CFSML_FLAGS = @CFSML_FLAGS@
HAVE_LIB = @HAVE_LIB@
LEX = @LEX@
LIB = @LIB@
LIB_M = @LIB_M@
LTLIB = @LTLIB@
MAKEINFO = @MAKEINFO@
MORPHOS_LIBS = @MORPHOS_LIBS@
PACKAGE = @PACKAGE@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
RPM_VERSION = @RPM_VERSION@
SCIV_LDFLAGS = @SCIV_LDFLAGS@
SDL_CFLAGS = @SDL_CFLAGS@
SDL_CONFIG = @SDL_CONFIG@
SDL_LIBS = @SDL_LIBS@
VERSION = @VERSION@
YACC = @YACC@
ac_curses_includes = @ac_curses_includes@
ac_curses_libraries = @ac_curses_libraries@
ac_directfb_includes = @ac_directfb_includes@
ac_directfb_libraries = @ac_directfb_libraries@
ac_ggi_includes = @ac_ggi_includes@
ac_ggi_libraries = @ac_ggi_libraries@
ac_glx_libraries = @ac_glx_libraries@
ac_graphics_directfb_libfile = @ac_graphics_directfb_libfile@
ac_graphics_directfb_libobjects = @ac_graphics_directfb_libobjects@
ac_graphics_ggi_libfile = @ac_graphics_ggi_libfile@
ac_graphics_ggi_libobjects = @ac_graphics_ggi_libobjects@
ac_png_includes = @ac_png_includes@
ac_png_libraries = @ac_png_libraries@
ac_pthread_libraries = @ac_pthread_libraries@
ac_readline = @ac_readline@
ev6_cpu = @ev6_cpu@
fsci_ggi_dl = @fsci_ggi_dl@
fsci_ggi_st = @fsci_ggi_st@
fsci_sdl_dl = @fsci_sdl_dl@
fsci_sdl_st = @fsci_sdl_st@
fsci_xlib_dl = @fsci_xlib_dl@
fsci_xlib_st = @fsci_xlib_st@

INCLUDES = -I$(top_srcdir)/src/include
EXTRA_DIST = cfsml.pl savegame.cfsml
noinst_LIBRARIES = libsciengine.a
libsciengine_a_SOURCES = savegame.c kernel.c kscripts.c klists.c 	kfile.c kgraphics.c kmath.c kevent.c kstring.c kmenu.c   	kmovement.c kpathing.c ksound.c vm.c game.c scriptdebug.c heap.c    	simplesaid.c said.y grammar.c

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
LIBRARIES =  $(noinst_LIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
X_CFLAGS = @X_CFLAGS@
X_LIBS = @X_LIBS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_PRE_LIBS = @X_PRE_LIBS@
libsciengine_a_LIBADD = 
libsciengine_a_OBJECTS =  savegame.o kernel.o kscripts.o klists.o \
kfile.o kgraphics.o kmath.o kevent.o kstring.o kmenu.o kmovement.o \
kpathing.o ksound.o vm.o game.o scriptdebug.o heap.o simplesaid.o \
said.o grammar.o
AR = ar
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in said.c


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(libsciengine_a_SOURCES)
OBJECTS = $(libsciengine_a_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s .y
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps src/engine/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstLIBRARIES:

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)

distclean-noinstLIBRARIES:

maintainer-clean-noinstLIBRARIES:

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

libsciengine.a: $(libsciengine_a_OBJECTS) $(libsciengine_a_DEPENDENCIES)
	-rm -f libsciengine.a
	$(AR) cru libsciengine.a $(libsciengine_a_OBJECTS) $(libsciengine_a_LIBADD)
	$(RANLIB) libsciengine.a
.y.c:
	$(YACC) $(AM_YFLAGS) $(YFLAGS) $< && mv y.tab.c $*.c
	if test -f y.tab.h; then \
	if cmp -s y.tab.h $*.h; then rm -f y.tab.h; else mv y.tab.h $*.h; fi; \
	else :; fi
said.h: said.c


tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags -o $$here/TAGS $(ETAGS_ARGS) $$tags  $$unique $(LISP))

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src/engine

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
game.o: game.c ../../src/include/sciresource.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/engine.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
grammar.o: grammar.c ../../src/include/resource.h ../../config.h \
	../../src/include/scitypes.h ../../src/include/vocabulary.h \
	../../src/include/heap.h ../../src/include/versions.h \
	../../src/include/sciresource.h ../../src/include/console.h \
	../../src/include/sci_memory.h ../../src/include/uinput.h \
	../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h
heap.o: heap.c ../../src/include/engine.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/sciresource.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
kernel.o: kernel.c ../../src/include/sciresource.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/engine.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
kevent.o: kevent.c ../../src/include/engine.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/sciresource.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
kfile.o: kfile.c ../../src/include/engine.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/sciresource.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
kgraphics.o: kgraphics.c ../../src/include/sciresource.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/engine.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h ../../src/include/sci_graphics.h \
	../../src/include/sci_widgets.h
klists.o: klists.c ../../src/include/engine.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/sciresource.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
kmath.o: kmath.c ../../src/include/engine.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/sciresource.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
kmenu.o: kmenu.c ../../src/include/sciresource.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/engine.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h ../../src/include/sci_widgets.h
kmovement.o: kmovement.c ../../src/include/sciresource.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/engine.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
kpathing.o: kpathing.c ../../src/include/engine.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/sciresource.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
kscripts.o: kscripts.c ../../src/include/sciresource.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/engine.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
ksound.o: ksound.c ../../src/include/engine.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/sciresource.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
kstring.o: kstring.c ../../src/include/sciresource.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/engine.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
said.o: said.c ../../src/include/engine.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/sciresource.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
savegame.o: savegame.c ../../src/include/sci_memory.h \
	../../src/include/resource.h ../../config.h \
	../../src/include/scitypes.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/uinput.h ../../src/include/sbtree.h \
	../../src/include/gfx_tools.h ../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/engine.h \
	../../src/include/sciresource.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/soundserver.h \
	../../src/include/console.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
scriptdebug.o: scriptdebug.c ../../src/include/sciresource.h \
	../../config.h ../../src/include/resource.h \
	../../src/include/scitypes.h ../../src/include/engine.h \
	../../src/include/heap.h ../../src/include/script.h \
	../../src/include/util.h ../../src/include/vocabulary.h \
	../../src/include/versions.h ../../src/include/sound.h \
	../../src/include/sci_memory.h ../../src/include/soundserver.h \
	../../src/include/uinput.h ../../src/include/console.h \
	../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h ../../src/include/sci_widgets.h
simplesaid.o: simplesaid.c ../../src/include/engine.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/sciresource.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h
vm.o: vm.c ../../src/include/sciresource.h ../../config.h \
	../../src/include/resource.h ../../src/include/scitypes.h \
	../../src/include/engine.h ../../src/include/heap.h \
	../../src/include/script.h ../../src/include/util.h \
	../../src/include/vocabulary.h ../../src/include/versions.h \
	../../src/include/sound.h ../../src/include/sci_memory.h \
	../../src/include/soundserver.h ../../src/include/uinput.h \
	../../src/include/console.h ../../src/include/gfx_operations.h \
	../../src/include/gfx_resmgr.h ../../src/include/gfx_resource.h \
	../../src/include/gfx_system.h ../../src/include/gfx_driver.h \
	../../src/include/sbtree.h ../../src/include/gfx_tools.h \
	../../src/include/gfx_options.h \
	../../src/include/gfx_res_options.h ../../src/include/vm.h \
	../../src/include/menubar.h ../../src/include/gfx_widgets.h \
	../../src/include/gfx_state_internal.h \
	../../src/include/kernel.h ../../src/include/kdebug.h \
	../../src/include/event.h

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile $(LIBRARIES)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	-test -z "saidhsaidc" || rm -f saidh saidc
mostlyclean-am:  mostlyclean-noinstLIBRARIES mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-noinstLIBRARIES clean-compile clean-tags clean-generic \
		mostlyclean-am

clean: clean-am

distclean-am:  distclean-noinstLIBRARIES distclean-compile \
		distclean-tags distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-noinstLIBRARIES \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-noinstLIBRARIES distclean-noinstLIBRARIES \
clean-noinstLIBRARIES maintainer-clean-noinstLIBRARIES \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir info-am info dvi-am dvi check \
check-am installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


savegame.c: savegame.cfsml
	cat savegame.cfsml | ./cfsml.pl @CFSML_FLAGS@ -f savegame.cfsml > savegame.c

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
